# eric5.Plugins.CheckerPlugins.CodeStyleChecker.CodeStyleStatisticsDialog

Module implementing a dialog showing statistical data for the last code style checker run.

### Global Attributes

None

### Classes

CodeStyleStatisticsDialog | Class implementing a dialog showing statistical data for the last code style checker run.

### Functions

None

## CodeStyleStatisticsDialog

Class implementing a dialog showing statistical data for the last code style checker run.

### Derived from

QDialog, Ui_CodeStyleStatisticsDialog

### Class Attributes

None

### Class Methods

None

### Methods

CodeStyleStatisticsDialog | Constructor
__createItem | Private method to create an entry in the result list.

### Static Methods

None

#### CodeStyleStatisticsDialog (Constructor)

CodeStyleStatisticsDialog(statistics, parent=None)

Constructor

statistics
  dictionary with the statistical data
parent
  reference to the parent widget (QWidget)

#### CodeStyleStatisticsDialog.__createItem

__createItem(count, code, message)

Private method to create an entry in the result list.

count
  occurrences of the issue (integer)
code
  of a code style issue message (string)
message
  code style issue message to be shown (string)

Up